Skip to main content

Dwolla

Quick Start
  1. Sign up at dwolla.com and obtain API credentials
  2. Create a terminal in the Admin Console with the parameters below
  3. Start processing — the adapter is pre-built and ready to use

Go to Dwolla →

Overview

Dwolla — ACH (Automated Clearing House - USA)

Provider IDdwolla
CategoryBank Transfers
Websitedwolla.com

Supported operations: Transfer (payments_authorize) Transfer Status (payments_sync)


Authentication

Method: OAuth2 Client Credentials
Token Endpoint: POST /token

Retrieval token:

POST https://api.dwolla.com/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id={client_id}&client_secret={client_secret}

Response:

{
"access_token": "eyJ...",
"token_type": "bearer",
"expires_in": 3600
}

Usage token:

Authorization: Bearer {access_token}
Accept: application/vnd.dwolla.v1.hal+json

Configuration

Required Parameters

ParameterDescription
client_idOAuth2 Client ID
client_secretOAuth2 Client Secret

Status Mapping

Provider Status4pay StatusDescription
processedChargedTransfer successfully processed
pendingPendingTransfer processing
cancelledVoidedTransfer cancelled
failedFailureTransfer not succeeded

API Reference

MethodEndpointDescription
POST/customers/{customer-id}/funding-sources

Resources